Summary:	Scripts for managing .spec files and building RPM packages
Summary(de.UTF-8):	Scripts fürs Bauen binärer RPM-Pakete
Summary(pl.UTF-8):	Skrypty pomocnicze do zarządznia plikami .spec i budowania RPM-ów
Summary(pt_BR.UTF-8):	Scripts e programas executáveis usados para construir pacotes
Summary(ru.UTF-8):	Скрипты и утилиты, необходимые для сборки пакетов
Summary(uk.UTF-8):	Скрипти та утиліти, необхідні для побудови пакетів
Name:		rpm-build-tools
Version:	4.9
Release:	4
License:	GPL
Group:		Applications/File
Source0:	builder.sh
Source4:	shrc.sh
Source5:	bash-prompt.sh
Source6:	dropin
BuildRequires:	sed >= 4.0
Requires:	gawk >= 3.1.7
Requires:	git-core >= 1.7
Requires:	grep
Requires:	less
Requires:	openssh-clients
Requires:	perl-base
Requires:	rpm-build
Requires:	rpmbuild(macros) >= 1.651
Requires:	sed >= 4.0
Requires:	time
Requires:	util-linux
Requires:	wget
Suggests:	adapter
Suggests:	pldnotify
Suggests:	rpm-specdump >= 0.3
Suggests:	schedtool
Suggests:	vim-syntax-spec
Conflicts:	mktemp < 1.6
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_libdir	%{_prefix}/lib

%description
Scripts for managing .spec files and building RPM packages.

%description -l de.UTF-8
Scripts fürs Bauen RPM-Pakete.

%description -l pl.UTF-8
Skrypty pomocnicze do zarządzania plikami .spec i do budowania RPM-ów.

%description -l pt_BR.UTF-8
Este pacote contém scripts e programas executáveis que são usados para
construir pacotes usando o RPM.

%description -l ru.UTF-8
Различные вспомогательные скрипты и исполняемые программы, которые
используются для сборки RPM'ов.

%description -l uk.UTF-8
Різноманітні допоміжні скрипти та утиліти, які використовуються для
побудови RPM'ів.

%prep
%setup -qcT
cp -p %{SOURCE0} .

%{__sed} -i -e '/^VERSION=/s,\([^/]\+\)/.*",\1-RELEASE",' builder.sh

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_libdir},/etc/shrc.d}
install -p builder.sh $RPM_BUILD_ROOT%{_bindir}/builder
install -p %{SOURCE6} $RPM_BUILD_ROOT%{_bindir}
install -p %{SOURCE4} $RPM_BUILD_ROOT/etc/shrc.d/rpm-build.sh
install -p %{SOURCE5} $RPM_BUILD_ROOT%{_libdir}/bash-prompt.sh

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/builder
%attr(755,root,root) %{_bindir}/dropin
/etc/shrc.d/rpm-build.sh
%{_libdir}/bash-prompt.sh
%changelog
* Tue Oct 17 2017 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/rpm-build-tools.git;a=log;h=master

* Tue Oct 17 2017 Elan Ruusamäe <glen@pld-linux.org> 652dc2d
- builder: install deps with -g -R as well

* Wed Dec 21 2016 Elan Ruusamäe <glen@delfi.ee> e93ee6d
- rpmchangelog: use SPECFILE to get accurate link to .spec

* Sun Nov 20 2016 Elan Ruusamäe <glen@delfi.ee> 48b09da
- bash-prompt: skip if configured remote is not fetched

* Sun Nov 20 2016 Elan Ruusamäe <glen@delfi.ee> de250ab
- bash-prompt: skip comparing with remote if upstream not defined for branch

* Sun Nov 20 2016 Elan Ruusamäe <glen@delfi.ee> 893f1bf
- bash-prompt: rewritten not to rely on git status output text

* Sun Nov 20 2016 Elan Ruusamäe <glen@delfi.ee> c5f46e0
- release 3 (by relup.sh)

* Sun Nov 20 2016 Elan Ruusamäe <glen@delfi.ee> bcc4434
- bash-prompt: do not use wide unicode

* Thu Oct 20 2016 Elan Ruusamäe <glen@delfi.ee> d66bce0
- release 2 (by relup.sh)

* Mon Oct 17 2016 Elan Ruusamäe <glen@delfi.ee> 4666645
- unset GIT_*_{NAME,EMAIL}

* Thu Sep 29 2016 Elan Ruusamäe <glen@delfi.ee> eb1eda0
- shrc: always enable code that does not require $dist

* Tue Sep 13 2016 Elan Ruusamäe <glen@delfi.ee> 256edc2
- builder: unset GIT_SSH

* Mon Sep 12 2016 Elan Ruusamäe <glen@delfi.ee> 4ec6d58
- v4.9: adapter moved to separate package

* Mon Sep 12 2016 Elan Ruusamäe <glen@delfi.ee> 27fbac8
- drop duplicate Group definition

* Mon Sep 12 2016 Elan Ruusamäe <glen@delfi.ee> e55ef62
- builder: showspec name that was tried but not found

* Mon Sep 12 2016 Elan Ruusamäe <glen@delfi.ee> 92389db
- adapter: some qt5 replacements

* Mon Aug 29 2016 Elan Ruusamäe <glen@delfi.ee> 36dd975
- release 6 (by relup.sh)

* Mon Aug 29 2016 Elan Ruusamäe <glen@delfi.ee> 74ede51
- $RPMOPTS need to be processed via eval

* Mon Aug 29 2016 Elan Ruusamäe <glen@delfi.ee> 09e6738
- pass RPMOPTS to rpm when checking package deps

* Mon Aug 22 2016 Elan Ruusamäe <glen@delfi.ee> 3918cdc
- Revert "separater parameters and locals"

* Mon Aug 22 2016 Elan Ruusamäe <glen@delfi.ee> ab517c2
- separater parameters and locals

